<?php
/*********************************************************************************
 *       Filename: admin_settings_country_r.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_settings_country_r CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_settings_country_r CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_settings_country_r.php";
$template_filename = "admin_settings_country_r.html";
//===============================



//===============================
// admin_settings_country_r PageSecurity begin
check_security(3);
// admin_settings_country_r PageSecurity end
//===============================

//===============================
// admin_settings_country_r Open Event begin
// admin_settings_country_r Open Event end
//===============================

//===============================
// admin_settings_country_r OpenAnyPage Event start
// admin_settings_country_r OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_settings_country_r Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sForm1Err = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form1":
    Form1_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_settings_country_r Show end

//===============================
// admin_settings_country_r Close Event begin
// admin_settings_country_r Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form1_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sForm1Err;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKcountry_id = "";
  $fldcountry_desc = "";
//-------------------------------

//-------------------------------
// Form1 Action begin
//-------------------------------
  $sActionFileName = "admin_settings_country.php";

//-------------------------------
// CANCEL action
//-------------------------------
  if($sAction == "cancel")
  {

//-------------------------------
// Form1 BeforeCancel Event begin
// Form1 BeforeCancel Event end
//-------------------------------
    header("Location: " . $sActionFileName);
    exit;
  }
//-------------------------------


//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update" || $sAction == "delete") 
  {
    $pPKcountry_id = get_param("PK_country_id");
    if( !strlen($pPKcountry_id)) return;
    $sWhere = "country_id=" . tosql($pPKcountry_id, "Number");
  }
//-------------------------------


//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldcountry_desc = get_param("country_desc");

//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------
// Form1 Insert Event begin
// Form1 Insert Event end
//-------------------------------
        $sSQL = "insert into lookup_countries (" . 
          "country_desc)" . 
          " values (" . 
          tosql($fldcountry_desc, "Text") . 
          ")";
    break;
    case "update":

//-------------------------------
// Form1 Update Event begin
// Form1 Update Event end
//-------------------------------
        $sSQL = "update lookup_countries set " .
          "country_desc=" . tosql($fldcountry_desc, "Text");
        $sSQL .= " where " . $sWhere;
    break;
    case "delete":
//-------------------------------
// Form1 Delete Event begin
// Form1 Delete Event end
//-------------------------------
        $sSQL = "delete from lookup_countries where " . $sWhere;
    break;
  }
//-------------------------------
//-------------------------------
// Form1 BeforeExecute Event begin
// Form1 BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sForm1Err)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// Form1 Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form1_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sForm1Err;
  
  $fldcountry_id = "";
  $fldcountry_desc = "";
//-------------------------------
// Form1 Show begin
//-------------------------------
  $sFormTitle = "ADMIN PANEL >> Settings >> Ad Country";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sForm1Err == "")
  {
    $pcountry_id = get_param("country_id");
    $tpl->set_var("Form1Error", "");
  }
  else
  {
    $fldcountry_id = strip(get_param("country_id"));
    $fldcountry_desc = strip(get_param("country_desc"));
    $pcountry_id = get_param("PK_country_id");
    $tpl->set_var("sForm1Err", $sForm1Err);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("Form1Error", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($pcountry_id)) $bPK = false;
  
  $sWhere .= "country_id=" . tosql($pcountry_id, "Number");
  $tpl->set_var("PK_country_id", $pcountry_id);
//-------------------------------
//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from lookup_countries where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "Form1") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldcountry_id = $db->f("country_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sForm1Err == "") 
    {
      $fldcountry_desc = $db->f("country_desc");
    }
    $tpl->set_var("Form1Insert", "");
    $tpl->parse("Form1Edit", false);
//-------------------------------
// Form1 ShowEdit Event begin
// Form1 ShowEdit Event end
//-------------------------------
  }
  else
  {
    $tpl->set_var("Form1Edit", "");
    $tpl->parse("Form1Insert", false);
//-------------------------------
// Form1 ShowInsert Event begin
// Form1 ShowInsert Event end
//-------------------------------
  }
  $tpl->parse("Form1Cancel", false);
//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("country_id", tohtml($fldcountry_id));
    $tpl->set_var("country_desc", tohtml($fldcountry_desc));
  $tpl->parse("FormForm1", false);

//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------

//-------------------------------
// Form1 Show end
//-------------------------------
}
//===============================
?>