<?php
/*********************************************************************************
 *       Filename: admin_users_list.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_users_list CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_users_list CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_users_list.php";
$template_filename = "admin_users_list.html";
//===============================



//===============================
// admin_users_list PageSecurity begin
check_security(3);
// admin_users_list PageSecurity end
//===============================

//===============================
// admin_users_list Open Event begin
// admin_users_list Open Event end
//===============================

//===============================
// admin_users_list OpenAnyPage Event start
// admin_users_list OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_users_list Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_users_list Show end

//===============================
// admin_users_list Close Event begin
// admin_users_list Close Event end
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "ADMIN PANEL >> Users management";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";
  $sActionFileName = "admin_users_rec.php";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $sOrder = " order by u.sec_level Asc";
  $iSort = get_param("FormForm1_Sorting");
  $iSorted = get_param("FormForm1_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by u.username" . $sDirection;
    if ($iSort == 2) $sOrder = " order by u.sec_level" . $sDirection;
    if ($iSort == 3) $sOrder = " order by u.last_login" . $sDirection;
    if ($iSort == 4) $sOrder = " order by u.email" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select u.email as u_email, " . 
    "u.last_login as u_last_login, " . 
    "u.sec_level as u_sec_level, " . 
    "u.user_id as u_user_id, " . 
    "u.username as u_username " . 
    " from users u ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the link to the record page
//-------------------------------
  $tpl->set_var("FormAction", $sActionFileName);
//-------------------------------

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->set_var("Form1Navigator", "");
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Prepare the lists of values
//-------------------------------
  
  $asec_level = split(";", "1;Client;3;Administrator");
//-------------------------------
//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm1_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldField1_URLLink = "admin_users_rec.php";
    $fldField1_user_id = $db->f("u_user_id");
    $fldField2_URLLink = "admin_ads_list.php";
    $fldField2_user_id = $db->f("u_user_id");
    $fldemail = $db->f("u_email");
    $fldlast_login = $db->f("u_last_login");
    $fldsec_level = $db->f("u_sec_level");
    $flduser_id = $db->f("u_user_id");
    $fldusername = $db->f("u_username");
    $fldField1= "Details";
    $fldField2= "User's ads";
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("user_id", tohtml($flduser_id));
      $tpl->set_var("username", tohtml($fldusername));
      $fldsec_level = get_lov_value($fldsec_level, $asec_level);
      $tpl->set_var("sec_level", tohtml($fldsec_level));
      $tpl->set_var("last_login", tohtml($fldlast_login));
      $tpl->set_var("email", tohtml($fldemail));
      $tpl->set_var("Field1", tohtml($fldField1));
      $tpl->set_var("Field1_URLLink", $fldField1_URLLink);
      $tpl->set_var("PrmField1_user_id", urlencode($fldField1_user_id));
      $tpl->set_var("Field2", tohtml($fldField2));
      $tpl->set_var("Field2_URLLink", $fldField2_URLLink);
      $tpl->set_var("PrmField2_user_id", urlencode($fldField2_user_id));
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form1 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form1Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form1NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form1NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form1CurrentPage", $iPage);
    $tpl->parse( "Form1Navigator", false);
  }

//-------------------------------
// Form1 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================

?>