<?php
/*********************************************************************************
 *       Filename: admin_users_rec.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_users_rec CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_users_rec CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_users_rec.php";
$template_filename = "admin_users_rec.html";
//===============================



//===============================
// admin_users_rec PageSecurity begin
check_security(3);
// admin_users_rec PageSecurity end
//===============================

//===============================
// admin_users_rec Open Event begin
// admin_users_rec Open Event end
//===============================

//===============================
// admin_users_rec OpenAnyPage Event start
// admin_users_rec OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_users_rec Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sForm1Err = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form1":
    Form1_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_users_rec Show end

//===============================
// admin_users_rec Close Event begin
// admin_users_rec Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form1_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sForm1Err;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKuser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldsec_level = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
  $fldjoindate = "";
//-------------------------------

//-------------------------------
// Form1 Action begin
//-------------------------------
  $sActionFileName = "admin_users_list.php";

//-------------------------------
// CANCEL action
//-------------------------------
  if($sAction == "cancel")
  {

//-------------------------------
// Form1 BeforeCancel Event begin
// Form1 BeforeCancel Event end
//-------------------------------
    header("Location: " . $sActionFileName);
    exit;
  }
//-------------------------------


//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update" || $sAction == "delete") 
  {
    $pPKuser_id = get_param("PK_user_id");
    if( !strlen($pPKuser_id)) return;
    $sWhere = "user_id=" . tosql($pPKuser_id, "Number");
  }
//-------------------------------


//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldusername = get_param("username");
  $fldpassword = get_param("password");
  $fldsec_level = get_param("sec_level");
  $fldcompany = get_param("company");
  $fldfname = get_param("fname");
  $fldlname = get_param("lname");
  $fldaddress = get_param("address");
  $fldtown = get_param("town");
  $fldstate = get_param("state");
  $fldcountry = get_param("country");
  $fldpostcode = get_param("postcode");
  $fldtel = get_param("tel");
  $fldfax = get_param("fax");
  $fldurl = get_param("url");
  $fldemail = get_param("email");
  $fldjoindate = get_param("joindate");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!strlen($fldpassword))
      $sForm1Err .= "The value in field Password is required.<br>";
    
    if(!is_number($fldsec_level))
      $sForm1Err .= "The value in field Security levels is incorrect.<br>";
    
//-------------------------------
// Form1 Check Event begin
// Form1 Check Event end
//-------------------------------
    if(strlen($sForm1Err)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------
// Form1 Insert Event begin
// Form1 Insert Event end
//-------------------------------
        $sSQL = "insert into users (" . 
          "username," . 
          "password," . 
          "sec_level," . 
          "company," . 
          "fname," . 
          "lname," . 
          "address," . 
          "town," . 
          "state," . 
          "country," . 
          "postcode," . 
          "tel," . 
          "fax," . 
          "url," . 
          "email," . 
          "joindate)" . 
          " values (" . 
          tosql($fldusername, "Text") . "," . 
          tosql($fldpassword, "Text") . "," . 
          tosql($fldsec_level, "Number") . "," . 
          tosql($fldcompany, "Text") . "," . 
          tosql($fldfname, "Text") . "," . 
          tosql($fldlname, "Text") . "," . 
          tosql($fldaddress, "Text") . "," . 
          tosql($fldtown, "Text") . "," . 
          tosql($fldstate, "Text") . "," . 
          tosql($fldcountry, "Text") . "," . 
          tosql($fldpostcode, "Text") . "," . 
          tosql($fldtel, "Text") . "," . 
          tosql($fldfax, "Text") . "," . 
          tosql($fldurl, "Text") . "," . 
          tosql($fldemail, "Text") . "," . 
          tosql($fldjoindate, "Text") . 
          ")";
    break;
    case "update":

//-------------------------------
// Form1 Update Event begin
// Form1 Update Event end
//-------------------------------
        $sSQL = "update users set " .
          "username=" . tosql($fldusername, "Text") .
          ",password=" . tosql($fldpassword, "Text") .
          ",sec_level=" . tosql($fldsec_level, "Number") .
          ",company=" . tosql($fldcompany, "Text") .
          ",fname=" . tosql($fldfname, "Text") .
          ",lname=" . tosql($fldlname, "Text") .
          ",address=" . tosql($fldaddress, "Text") .
          ",town=" . tosql($fldtown, "Text") .
          ",state=" . tosql($fldstate, "Text") .
          ",country=" . tosql($fldcountry, "Text") .
          ",postcode=" . tosql($fldpostcode, "Text") .
          ",tel=" . tosql($fldtel, "Text") .
          ",fax=" . tosql($fldfax, "Text") .
          ",url=" . tosql($fldurl, "Text") .
          ",email=" . tosql($fldemail, "Text") .
          ",joindate=" . tosql($fldjoindate, "Text");
        $sSQL .= " where " . $sWhere;
    break;
    case "delete":
//-------------------------------
// Form1 Delete Event begin
// Form1 Delete Event end
//-------------------------------
        $sSQL = "delete from users where " . $sWhere;
    break;
  }
//-------------------------------
//-------------------------------
// Form1 BeforeExecute Event begin
// Form1 BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sForm1Err)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// Form1 Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form1_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sForm1Err;
  
  $flduser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldsec_level = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
  $fldlast_login = "";
  $fldjoindate2 = "";
  $fldjoindate = "";
//-------------------------------
// Form1 Show begin
//-------------------------------
  $sFormTitle = "ADMIN PANEL >> Users management  >> User details";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sForm1Err == "")
  {
    $flduser_id = get_param("user_id");
    $puser_id = get_param("user_id");
    $tpl->set_var("Form1Error", "");
  }
  else
  {
    $flduser_id = strip(get_param("user_id"));
    $fldusername = strip(get_param("username"));
    $fldpassword = strip(get_param("password"));
    $fldsec_level = strip(get_param("sec_level"));
    $fldcompany = strip(get_param("company"));
    $fldfname = strip(get_param("fname"));
    $fldlname = strip(get_param("lname"));
    $fldaddress = strip(get_param("address"));
    $fldtown = strip(get_param("town"));
    $fldstate = strip(get_param("state"));
    $fldcountry = strip(get_param("country"));
    $fldpostcode = strip(get_param("postcode"));
    $fldtel = strip(get_param("tel"));
    $fldfax = strip(get_param("fax"));
    $fldurl = strip(get_param("url"));
    $fldemail = strip(get_param("email"));
    $fldjoindate = strip(get_param("joindate"));
    $puser_id = get_param("PK_user_id");
    $tpl->set_var("sForm1Err", $sForm1Err);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("Form1Error", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($puser_id)) $bPK = false;
  
  $sWhere .= "user_id=" . tosql($puser_id, "Number");
  $tpl->set_var("PK_user_id", $puser_id);
//-------------------------------
//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from users where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "Form1") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldjoindate2 = $db->f("joindate");
    $fldjoindate = $db->f("joindate");
    $fldlast_login = $db->f("last_login");
    $flduser_id = $db->f("user_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sForm1Err == "") 
    {
      $fldusername = $db->f("username");
      $fldpassword = $db->f("password");
      $fldsec_level = $db->f("sec_level");
      $fldcompany = $db->f("company");
      $fldfname = $db->f("fname");
      $fldlname = $db->f("lname");
      $fldaddress = $db->f("address");
      $fldtown = $db->f("town");
      $fldstate = $db->f("state");
      $fldcountry = $db->f("country");
      $fldpostcode = $db->f("postcode");
      $fldtel = $db->f("tel");
      $fldfax = $db->f("fax");
      $fldurl = $db->f("url");
      $fldemail = $db->f("email");
    }
    $tpl->set_var("Form1Insert", "");
    $tpl->parse("Form1Edit", false);
//-------------------------------
// Form1 ShowEdit Event begin
// Form1 ShowEdit Event end
//-------------------------------
  }
  else
  {
    if($sForm1Err == "")
    {
      $flduser_id = tohtml(get_param("user_id"));
    }
    $tpl->set_var("Form1Edit", "");
    $tpl->parse("Form1Insert", false);
//-------------------------------
// Form1 ShowInsert Event begin
$fldjoindate = date("Y-m-d G:i:s");
// Form1 ShowInsert Event end
//-------------------------------
  }
  $tpl->parse("Form1Cancel", false);
//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("user_id", tohtml($flduser_id));
    $tpl->set_var("username", tohtml($fldusername));
    $tpl->set_var("password", tohtml($fldpassword));
    $tpl->set_var("Form1LBsec_level", "");
    $LOV = split(";", "1;Client;3;Administrator");
  
    if(sizeof($LOV)%2 != 0) 
      $array_length = sizeof($LOV) - 1;
    else
      $array_length = sizeof($LOV);
    reset($LOV);
    for($i = 0; $i < $array_length; $i = $i + 2)
    {
      $tpl->set_var("ID", $LOV[$i]);
      $tpl->set_var("Value", $LOV[$i + 1]);
      if($LOV[$i] == $fldsec_level) 
        $tpl->set_var("Selected", "SELECTED");
      else
        $tpl->set_var("Selected", "");
      $tpl->parse("Form1LBsec_level", true);
    }
    $tpl->set_var("company", tohtml($fldcompany));
    $tpl->set_var("fname", tohtml($fldfname));
    $tpl->set_var("lname", tohtml($fldlname));
    $tpl->set_var("address", tohtml($fldaddress));
    $tpl->set_var("town", tohtml($fldtown));
    $tpl->set_var("state", tohtml($fldstate));
    $tpl->set_var("country", tohtml($fldcountry));
    $tpl->set_var("postcode", tohtml($fldpostcode));
    $tpl->set_var("tel", tohtml($fldtel));
    $tpl->set_var("fax", tohtml($fldfax));
    $tpl->set_var("url", tohtml($fldurl));
    $tpl->set_var("email", tohtml($fldemail));
      $tpl->set_var("last_login", tohtml($fldlast_login));
      $tpl->set_var("joindate2", tohtml($fldjoindate2));
    $tpl->set_var("joindate", tohtml($fldjoindate));
  $tpl->parse("FormForm1", false);

//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------

//-------------------------------
// Form1 Show end
//-------------------------------
}
//===============================
?>