<?php
/*********************************************************************************
 *       Filename: index_searchresults.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// index_searchresults CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// index_searchresults CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "index_searchresults.php";
$template_filename = "index_searchresults.html";
//===============================



//===============================
// index_searchresults PageSecurity begin
// index_searchresults PageSecurity end
//===============================

//===============================
// index_searchresults Open Event begin
// index_searchresults Open Event end
//===============================

//===============================
// index_searchresults OpenAnyPage Event start
// index_searchresults OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// index_searchresults Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// index_searchresults Show end

//===============================
// index_searchresults Close Event begin
// index_searchresults Close Event end
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "SITES FOR SELLING";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "category=" . tourl(get_param("category")) . "&country=" . tourl(get_param("country")) . "&price=" . tourl(get_param("price")) . "&price2=" . tourl(get_param("price2")) . "&start_or_est=" . tourl(get_param("start_or_est")) . "&summary=" . tourl(get_param("summary")) . "&");
  
//-------------------------------
// Build WHERE statement
//-------------------------------
  $pcategory = get_param("category");
  if(is_number($pcategory) && strlen($pcategory))
    $pcategory = tosql($pcategory, "Number");
  else 
    $pcategory = "";

  if(strlen($pcategory))
  {
    $HasParam = true;
    $sWhere = $sWhere . "a.category=" . $pcategory;
  }
  $pcountry = get_param("country");
  if(is_number($pcountry) && strlen($pcountry))
    $pcountry = tosql($pcountry, "Number");
  else 
    $pcountry = "";

  if(strlen($pcountry))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.country=" . $pcountry;
  }
  $pprice = get_param("price");
  if(is_number($pprice) && strlen($pprice))
    $pprice = tosql($pprice, "Number");
  else 
    $pprice = "";

  if(strlen($pprice))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price>" . $pprice;
  }
  $pprice2 = get_param("price2");
  if(is_number($pprice2) && strlen($pprice2))
    $pprice2 = tosql($pprice2, "Number");
  else 
    $pprice2 = "";

  if(strlen($pprice2))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price<" . $pprice2;
  }
  $pstart_or_est = get_param("start_or_est");
  if(is_number($pstart_or_est) && strlen($pstart_or_est))
    $pstart_or_est = tosql($pstart_or_est, "Number");
  else 
    $pstart_or_est = "";

  if(strlen($pstart_or_est))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.start_or_est=" . $pstart_or_est;
  }
  $psummary = get_param("summary");

  if(strlen($psummary))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.summary like " . tosql("%".$psummary ."%", "Text");
  }


  if($HasParam)
    $sWhere = " WHERE (" . $sWhere . ")";

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.category as a_category, " . 
    "a.country as a_country, " . 
    "a.price as a_price, " . 
    "a.start_or_est as a_start_or_est, " . 
    "a.summary as a_summary, " . 
    "a.title as a_title, " . 
    "a.title2 as a_title2, " . 
    "a.url as a_url, " . 
    "a.views as a_views, " . 
    "a.visitors as a_visitors " . 
    " from ads a ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldad_id = $db->f("a_ad_id");
    $fldprice = $db->f("a_price");
    $fldtitle_URLLink = "index_ad_details.php";
    $fldtitle_ad_id = $db->f("a_ad_id");
    $fldtitle = $db->f("a_title");
    $fldtitle2 = $db->f("a_title2");
    $fldurl = $db->f("a_url");
    $fldviews = $db->f("a_views");
    $fldvisitors = $db->f("a_visitors");
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
$fldurl= "<a href=\" ".$fldurl." \"> ".$fldurl." </a>";
$fldtitle = "<b>$fldtitle<b>";
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
      $tpl->set_var("title", $fldtitle);
      $tpl->set_var("title_URLLink", $fldtitle_URLLink);
      $tpl->set_var("Prmtitle_ad_id", urlencode($fldtitle_ad_id));
      $tpl->set_var("title2", $fldtitle2);
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("visitors", tohtml($fldvisitors));
      $tpl->set_var("url", $fldurl);
      $tpl->set_var("views", tohtml($fldviews));
//-------------------------------
// Process the record separator
//-------------------------------
    if(!$next_record  || $iCounter == $iRecordsPerPage - 1)
       $tpl->set_var("Form1RecordSeparator", "");
    else
      $tpl->parse("Form1RecordSeparator", false);
//-------------------------------
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================

?>