<?php
/*********************************************************************************
 *       Filename: register2.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// register2 CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// register2 CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "register2.php";
$template_filename = "register2.html";
//===============================



//===============================
// register2 PageSecurity begin
// register2 PageSecurity end
//===============================

//===============================
// register2 Open Event begin
// register2 Open Event end
//===============================

//===============================
// register2 OpenAnyPage Event start
// register2 OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// register2 Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sloginErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "login":
    login_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();login_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// register2 Show end

//===============================
// register2 Close Event begin
// register2 Close Event end
//===============================
//********************************************************************************


//===============================
// Login Form Action
//-------------------------------
function login_action($sAction)
{
  global $db;
  global $tpl;
  global $sloginErr;
  global $filename;

  switch(strtolower($sAction))
  {
    case "login":

//-------------------------------
// login Login begin
//-------------------------------
      $sLogin = get_param("Login");
      $sPassword = get_param("Password");
      $db->query("SELECT user_id,sec_level FROM users WHERE username =" . tosql($sLogin, "Text") . " AND password=" . tosql($sPassword, "Text"));
      $is_passed = $db->next_record();

//-------------------------------
// login OnLogin Event begin
// login OnLogin Event end
//-------------------------------
      if($is_passed)
      {
//-------------------------------
// Login and password passed
//-------------------------------
        set_session("UserID", $db->f("user_id"));
        set_session("UserRights", $db->f("sec_level"));
        $sPage = get_param("ret_page");
        if (strlen($sPage))
        {
          header("Location: " . $sPage);
          exit;
        }
        else
        {
          header("Location: login_redirect.php");
          exit;
        }
      }
      else
      {
        $sloginErr = "Login or Password is incorrect.";
      }
//-------------------------------
// login Login end
//-------------------------------
    break;
    case "logout":
//-------------------------------
// Logout action
//-------------------------------
//-------------------------------
// login Logout begin
//-------------------------------

//-------------------------------
// login OnLogout Event begin
// login OnLogout Event end
//-------------------------------
      session_unregister("UserID");
      session_unregister("UserRights");
      if(strlen(get_param("ret_page")))
      {
        header("Location:" . $filename . "?ret_page=" . urlencode(get_param("ret_page")));
        exit;
      }
      else
      {
        header("Location:" . $filename);
        exit;
      }
//-------------------------------
// login Logout end
//-------------------------------
    break;
  }
}
//===============================


//===============================
// Display Login Form
//-------------------------------
function login_show()
{
  global $tpl;
  global $sloginErr;
  global $db;
  $sFormTitle = "Thank you for registering. You can now login";

//-------------------------------
// login Show begin
//-------------------------------

//-------------------------------
// login Open Event begin
// login Open Event end
//-------------------------------
  $tpl->set_var("FormTitle", $sFormTitle);
  $tpl->set_var("sloginErr", $sloginErr);
  $tpl->set_var("querystring", get_param("querystring"));
  $tpl->set_var("ret_page", get_param("ret_page"));
//-------------------------------
// login BeforeShow Event begin
// login BeforeShow Event end
//-------------------------------
  if(get_session("UserID") == "") 
  {
//-------------------------------
// User is not logged in
//-------------------------------
    $tpl->set_var("LogoutAct", "");
    $tpl->set_var("UserInd", "");
    $tpl->set_var("Login", strip(tohtml(get_param("Login"))));
    if($sloginErr == "")
      $tpl->set_var("loginError", "");
    else
    {
      $tpl->set_var("sloginErr", $sloginErr);
      $tpl->parse("loginError", false);
    }
    $tpl->parse("LoginAct", false);
  }
  else
  {
//-------------------------------
// User logged in
//-------------------------------
    $db->query("SELECT username FROM users WHERE user_id=". get_session("UserID"));
    $db->next_record();
    $tpl->set_var("loginError", "");
    $tpl->set_var("LoginAct", "");
    $tpl->set_var("UserID", $db->f("username"));
    $tpl->parse("UserInd", false);
  }
  $tpl->parse("Formlogin", false);

//-------------------------------
// login Close Event begin
// login Close Event end
//-------------------------------

//-------------------------------
// login Show end
//-------------------------------
}
//===============================


?>