<?php
/*********************************************************************************
 *       Filename: user_home.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// user_home CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// user_home CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "user_home.php";
$template_filename = "user_home.html";
//===============================



//===============================
// user_home PageSecurity begin
check_security(1);
// user_home PageSecurity end
//===============================

//===============================
// user_home Open Event begin
// user_home Open Event end
//===============================

//===============================
// user_home OpenAnyPage Event start
// user_home OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// user_home Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form3_show();Form1_show();Form2_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// user_home Show end

//===============================
// user_home Close Event begin
// user_home Close Event end
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form2_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm2Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "My area >> My expired ads";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");
  
//-------------------------------
// Build WHERE statement
//-------------------------------
  $pUserID = get_session("UserID");
  if(is_number($pUserID) && strlen($pUserID))
    $pUserID = tosql($pUserID, "Number");
  else 
    $pUserID = "";

  if(strlen($pUserID))
  {
    $HasParam = true;
    $sWhere = $sWhere . "a.user_id=" . $pUserID;
  }


  if($HasParam)
    $sWhere = " AND (expired=1) AND (" . $sWhere . ")";
  else
    $sWhere = " AND expired=1";

//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $iSort = get_param("FormForm2_Sorting");
  $iSorted = get_param("FormForm2_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm2_Sorting=" . $iSort . "&FormForm2_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm2_Sorting=" . $iSort . "&FormForm2_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by a.title" . $sDirection;
    if ($iSort == 2) $sOrder = " order by a.price" . $sDirection;
    if ($iSort == 3) $sOrder = " order by a.date_added" . $sDirection;
    if ($iSort == 4) $sOrder = " order by a.views" . $sDirection;
    if ($iSort == 5) $sOrder = " order by l.category" . $sDirection;
    if ($iSort == 6) $sOrder = " order by l1.category2" . $sDirection;
    if ($iSort == 7) $sOrder = " order by l2.country_desc" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.category as a_category, " . 
    "a.country as a_country, " . 
    "a.date_added as a_date_added, " . 
    "a.price as a_price, " . 
    "a.start_or_est as a_start_or_est, " . 
    "a.title as a_title, " . 
    "a.user_id as a_user_id, " . 
    "a.views as a_views, " . 
    "l.cat_id as l_cat_id, " . 
    "l.category as l_category, " . 
    "l1.cat2_id as l1_cat2_id, " . 
    "l1.category2 as l1_category2, " . 
    "l2.country_id as l2_country_id, " . 
    "l2.country_desc as l2_country_desc " . 
    " from ads a, lookup_site_category l, lookup_start_or_est l1, lookup_countries l2" . 
    " where l.cat_id=a.category and l1.cat2_id=a.start_or_est and l2.country_id=a.country  ";
//-------------------------------

//-------------------------------
// Form2 Open Event begin
// Form2 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm2", "");
    $tpl->parse("Form2NoRecords", false);
    $tpl->set_var("Form2Navigator", "");
    $tpl->parse("FormForm2", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm2_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldField1_URLLink = "user_edit_ad.php";
    $fldField1_ad_id = $db->f("a_ad_id");
    $fldad_id = $db->f("a_ad_id");
    $fldcategory = $db->f("l_category");
    $fldcountry = $db->f("l2_country_desc");
    $flddate_added = $db->f("a_date_added");
    $fldprice = $db->f("a_price");
    $fldstart_or_est = $db->f("l1_category2");
    $fldtitle = $db->f("a_title");
    $flduser_id = $db->f("a_user_id");
    $fldviews = $db->f("a_views");
    $fldField1= "Details";
    $next_record = $db->next_record();
    
//-------------------------------
// Form2 Show begin
//-------------------------------

//-------------------------------
// Form2 Show Event begin
// Form2 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
    $tpl->set_var("user_id", tohtml($flduser_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("date_added", tohtml($flddate_added));
      $tpl->set_var("views", tohtml($fldviews));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("start_or_est", tohtml($fldstart_or_est));
      $tpl->set_var("country", tohtml($fldcountry));
      $tpl->set_var("Field1", tohtml($fldField1));
      $tpl->set_var("Field1_URLLink", $fldField1_URLLink);
      $tpl->set_var("PrmField1_ad_id", urlencode($fldField1_ad_id));
    $tpl->parse("DListForm2", true);
//-------------------------------
// Form2 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form2 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form2Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form2NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form2NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form2CurrentPage", $iPage);
    $tpl->parse( "Form2Navigator", false);
  }

//-------------------------------
// Form2 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form2NoRecords", "");
  $tpl->parse( "FormForm2", false);
//-------------------------------
// Form2 Close Event begin
// Form2 Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "My area >> My active ads";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";
  $sActionFileName = "user_edit_ad.php";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");
  
//-------------------------------
// Build WHERE statement
//-------------------------------
  $pUserID = get_session("UserID");
  if(is_number($pUserID) && strlen($pUserID))
    $pUserID = tosql($pUserID, "Number");
  else 
    $pUserID = "";

  if(strlen($pUserID))
  {
    $HasParam = true;
    $sWhere = $sWhere . "a.user_id=" . $pUserID;
  }


  if($HasParam)
    $sWhere = " AND (expired=0) AND (" . $sWhere . ")";
  else
    $sWhere = " AND expired=0";

//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $iSort = get_param("FormForm1_Sorting");
  $iSorted = get_param("FormForm1_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by a.title" . $sDirection;
    if ($iSort == 2) $sOrder = " order by a.price" . $sDirection;
    if ($iSort == 3) $sOrder = " order by a.date_added" . $sDirection;
    if ($iSort == 4) $sOrder = " order by a.views" . $sDirection;
    if ($iSort == 5) $sOrder = " order by l.category" . $sDirection;
    if ($iSort == 6) $sOrder = " order by l1.category2" . $sDirection;
    if ($iSort == 7) $sOrder = " order by l2.country_desc" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.category as a_category, " . 
    "a.country as a_country, " . 
    "a.date_added as a_date_added, " . 
    "a.price as a_price, " . 
    "a.start_or_est as a_start_or_est, " . 
    "a.title as a_title, " . 
    "a.user_id as a_user_id, " . 
    "a.views as a_views, " . 
    "l.cat_id as l_cat_id, " . 
    "l.category as l_category, " . 
    "l1.cat2_id as l1_cat2_id, " . 
    "l1.category2 as l1_category2, " . 
    "l2.country_id as l2_country_id, " . 
    "l2.country_desc as l2_country_desc " . 
    " from ads a, lookup_site_category l, lookup_start_or_est l1, lookup_countries l2" . 
    " where l.cat_id=a.category and l1.cat2_id=a.start_or_est and l2.country_id=a.country  ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the link to the record page
//-------------------------------
  $tpl->set_var("FormAction", $sActionFileName);
//-------------------------------

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->set_var("Form1Navigator", "");
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm1_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldField1_URLLink = "user_edit_ad.php";
    $fldField1_ad_id = $db->f("a_ad_id");
    $fldad_id = $db->f("a_ad_id");
    $fldcategory = $db->f("l_category");
    $fldcountry = $db->f("l2_country_desc");
    $flddate_added = $db->f("a_date_added");
    $fldprice = $db->f("a_price");
    $fldstart_or_est = $db->f("l1_category2");
    $fldtitle = $db->f("a_title");
    $flduser_id = $db->f("a_user_id");
    $fldviews = $db->f("a_views");
    $fldField1= "Details";
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
    $tpl->set_var("user_id", tohtml($flduser_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("date_added", tohtml($flddate_added));
      $tpl->set_var("views", tohtml($fldviews));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("start_or_est", tohtml($fldstart_or_est));
      $tpl->set_var("country", tohtml($fldcountry));
      $tpl->set_var("Field1", tohtml($fldField1));
      $tpl->set_var("Field1_URLLink", $fldField1_URLLink);
      $tpl->set_var("PrmField1_ad_id", urlencode($fldField1_ad_id));
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form1 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form1Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form1NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form1NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form1CurrentPage", $iPage);
    $tpl->parse( "Form1Navigator", false);
  }

//-------------------------------
// Form1 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Menu Form
//-------------------------------
function Form3_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "MY AREA";

//-------------------------------
// Form3 Open Event begin
// Form3 Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
  $fldField2 = "user_home.php";
  $fldField1 = "user_mydetails.php";
  $fldField3 = "login.php";
//-------------------------------
// Form3 Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Form3 BeforeShow Event begin
// Form3 BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->set_var("Field2", $fldField2);
  $tpl->set_var("Field1", $fldField1);
  $tpl->set_var("Field3", $fldField3);
  $tpl->parse("FormForm3", false);

//-------------------------------
// Form3 Show end
//-------------------------------
}
//===============================

?>